<?php

class ClsNominaBecas{

var $pTipoBD;
var $pAccion;
var $pFecha;

	function ClsNominaBecas($tipobd,$var_post,$var_gest) {
		extract ($var_post);
		
	}
	
	function Ingresar($mensajes){
	}
	
	
	function Eliminar($ClsGeneradorHtml,$clsObjetodeDatos){
	}

	function get_cell($cell, $objPHPExcel){
	}

	function pp(&$var){
	}
	
	function Cargar(){
	}
	function insert($var_post,$html,$db){
		//echo date("Y".strtotime($this->cambiaf_a_mysql($var_post['txtFecha'])));
		$fecha= date("Y",strtotime($this->cambiaf_a_mysql($var_post['txtFecha']."00:00:00")));	
		foreach ($var_post as $clave=>$valor){
			if(substr($clave,0,3)=="chk"){
				$sql = " SELECT year(`fecha_nomina`)as ano FROM 
					`nomina_beca` A inner join `nomina_beca_mes` B on A.cod_nomina = B.cod_nomina 
					 where B.mes = '".substr($clave,3)."' and year(`fecha_nomina`) = ".$fecha."";					 
				$db->EjecutarQuery($sql);
			//	echo $sql;
				if($db->count()>0){
					echo "<script type='text/javascript'>";
						echo "alert('El mes ".substr($clave,3)." ya ha sido abonado')";
					echo "</script>";	
					return false;
				} 
			}
		}	
		$fecha =$this->cambiaf_a_mysql($var_post['txtFecha']);		
		$sql ="Select (max(cod_nomina)+1) as correlativo from siga_pregrado.nomina_beca ";
		$db->EjecutarQuery($sql);
		$contador = $db->DataObjeto();
		$correlativo=$contador->correlativo;
		if(empty($correlativo))
			$correlativo=1;
	   $nombre_txt="txtbecas".date("dmyhms").""; 		
		$sql ="Insert into nomina_beca(cod_nomina,descripcion,fecha_nomina,estatus,archivo)values(".$correlativo.",'".$var_post['txtDescripcion']."','".$fecha."','ABIERTO','".$nombre_txt."')";
		$db->EjecutarQuery($sql);	
		$contador=0;
		foreach ($var_post as $clave=>$valor){
			if(substr($clave,0,3)=="chk"){
				$sql ="Insert into nomina_beca_mes(cod_nomina,mes)values(".$correlativo.",'".substr($clave,3)."')";
				$db->EjecutarQuery($sql);	
				$cont++;
			}	    
		}
		$sql ="Select * from siga_pregrado.vi_becados where cuenta_bancaria is not null and cuenta_bancaria!='' ";
		$db->EjecutarQuery($sql);	
		$datos = $db->DatosArray();
		if (!is_dir($dir)) {
			exec("mkdir nomina");
		}
		
		$ar=fopen("nomina/".$nombre_txt.".txt","w+");
	/*	if($ar){
         echo "si";
		}else{
			echo "&resposta=No se puede abrir - fallo fopen";   
			exit;  
		}	*/

		foreach ($datos as $valor){
			//fputs($ar,'770');
			//fputs($ar,"\t");
			//fputs($ar,str_pad($valor['cuenta_bancaria'], 20, "0", STR_PAD_LEFT));
			//fputs($ar,"\t");
			//fputs($ar,str_pad($valor['cedula'], 13, "0", STR_PAD_LEFT));
			//fputs($ar,"\t");
			//fputs($ar,str_pad(($valor['monto']*$cont)."00", 13, "0", STR_PAD_LEFT));
		//	fputs($ar,"\r");
			$sql ="Insert into nomina_detalle(cod_nomina,cedula,cuenta,monto)values(".$correlativo.",".$valor['cedula'].",'".$valor['cuenta_bancaria']."',".($valor['monto']*$cont).")";
			$db->EjecutarQuery($sql);	
			
		}

		fclose($ar);
		$directorio = opendir("nomina/"); //ruta actual
		//*while ($archivo = readdir($directorio)) //obtenemos un archivo y luego otro sucesivamente
		//*{
			 //*if (is_dir($archivo))//verificamos si es o no un directorio
			 //*{
				  //*echo "[".$archivo."]<br />"; //de ser un directorio lo envolvemos entre corchetes
			 //*}
			 //*else
			 //*{
				 //*// echo "<a href=nomina/".$archivo.">Archivo</a>";
				//*echo "<a href=descargar_txt.php?archivo=".$archivo.">Archivo</a>";
//*
			 //*}
		//*}
	}
	function cambiaf_a_mysql($fecha){

		ereg( "([0-9]{1,2})/([0-9]{1,2})/([0-9]{2,4})", $fecha, $mifecha);
		$lafecha=$mifecha[3]."-".$mifecha[2]."-".$mifecha[1];	
		return $lafecha;
	}
	function Validar($mensajes){
	}		

	function not_null($flags,$nombrecampo,$mensajes){
	}
	function buscar_mes(){
		foreach ($var_post as $clave=>$valor){
			if(substr($clave,0,3)=="chk"){
				$sql = " SELECT year(`fecha_nomina`)as ano FROM 
					`nomina_beca` A inner join `nomina_beca_mes` B on A.cod_nomina = B.cod_nomina 
					 where  year(`fecha_nomina`) = ".$fecha."";					 
				$db->EjecutarQuery($sql);
				if($db->count()>0){
					echo "<script type='text/javascript'>";
						echo "alert('El mes ".substr($clave,3)." ya ha sido abonado')";
					echo "</script>";	
					return false;
				} 
			}
		}
	}	
	function buscar_meses($fecha,$db){
		if(!empty($fecha)){
							
			$fecha= date("Y",strtotime($this->cambiaf_a_mysql($fecha."00:00:00")));	
			$sql = " SELECT  mes FROM 
				`nomina_beca` A inner join `nomina_beca_mes` B on A.cod_nomina = B.cod_nomina 
				 where  year(`fecha_nomina`) = ".$fecha."";					 
			$db->EjecutarQuery($sql);
			$meses=$db->DatosArray();
			if($db->count()>0){
				foreach($meses as $clave=>$valor){
					//$arreglo=explode("-",$meses);
					if(!empty($arreglo)){
						$arreglo.="-".$valor['mes'];	
					}else{
						$arreglo.=$valor['mes'];							
					}
				}
			}
			echo $arreglo; 
		}	
	}	
	function sql_consulta($var_post,$var_get,$ClsGeneradorHtml,$bd){
		extract ($var_post); 

		$sql = " SELECT  * FROM  nomina_beca`  ";					 
	   $bd->EjecutarQuery($sql);
	   $datos=$bd->DatosArray();
 

 
		echo "<table class='bd' border='0' cellspacing='1' cellpadding='4' width='100%'>
		<tr><td class='bd3' width='60%'><B>Nominas Ejecutadas</B></td>";
		echo "</tr>
		</table>
		<table width='99%' border='1' align='center' class='tbl'>
		<tr>
		  <td align='center' class='hr'>Nro</td>
		  <td align='center' class='hr'>Descripción</td>
		  <td align='center' class='hr'>Mes</td>
		  <td align='center' class='hr'>Fecha Registro</td>
		  <td align='center' class='hr'>Archivo</td>
		  <td align='center' class='hr'>Ver Detalle</td>

		</tr>";
		$style="dr";
		foreach ($datos as $row){
			$sql = " SELECT  mes FROM  nomina_beca_mes where cod_nomina = ".$row['cod_nomina'];					 
			$bd->EjecutarQuery($sql);
			$datosmes=$bd->DatosArray();
			foreach ($datosmes as $rowmes){
				if(empty($meses)){
					$meses=$rowmes['mes'];
				}else{
					$meses.=" ".$rowmes['mes'];					
				}	
			}
			 echo "<tr>
			<td class='$style' align='center'>".$row['cod_nomina']."</td>
			<td class='$style' align='center'>".$row['descripcion']."</td>
			<td class='$style' align='center'>".$meses."</td>
			<td class='$style' align='center'>".$this->cambiaf_a_normal($row['fecha_nomina'])."</td>
			<td class='$style' align='center'><a href=descargar_txt.php?archivo=".$row['archivo'].".txt><img src=imagenes/txt.gif></a></td>
			<td align='center' class='$style'><a href='vista_nomina_becas.php?a=reset&hdAccion=cmdDetalle&codigo_nomina=".$row['cod_nomina']."'><img src=imagenes/search.gif></a></td>
		  </tr>";	
			$meses="";

		  if($style=="dr"){
			$style="sr";
		  }else{
			$style="dr";
		  }		
		}				
	}
	function sql_consulta_detalle($var_post,$var_get,$bd,$ClsGeneradorHtml){
		extract ($var_post); 
		extract ($var_get); 
		$script="<link rel='stylesheet' href='css/estilos1.css' type='text/css'>";
		$script.="<script src='js/jquery.min.js' type='text/javascript'></script>";
		$script.="<script src='js/gestion_nomina.js' type='text/javascript'></script>";
		echo $ClsGeneradorHtml->Pagina_Top("","",$script);
		echo $ClsGeneradorHtml->Pagina_Inicio_Body();
		$sql = " SELECT a.cod_nomina,a.cedula,b.nombres,a.cuenta,a.monto 
					FROM `nomina_detalle` a inner join alumnos b on a.cedula = b.cedula 
					where a.cod_nomina = ".$codigo_nomina." and cuenta !=0";					 
	   $bd->EjecutarQuery($sql);
	   $datos=$bd->DatosArray();
 
		echo "<table class='bd' border='0' cellspacing='1' cellpadding='4' width='100%'>
		<tr><td class='bd3' width='60%'><B>Nominas Ejecutadas</B></td>";
		echo "</tr>
		</table>
		<table width='99%' border='1' align='center' class='tbl'>
		<tr>
		  <td align='center' class='hr'>Nro</td>
		  <td align='center' class='hr'>Cedula</td>
		  <td align='center' class='hr'>Nombres</td>
		  <td align='center' class='hr'>Cuenta</td>
		  <td align='center' class='hr'>Monto</td>
		</tr>";
		$style="dr";
		foreach ($datos as $row){
			 echo "<tr>
			<td class='$style' align='center'>".$row['cod_nomina']."</td>
			<td class='$style' align='center'>".$row['cedula']."</td>
			<td class='$style' align='center'>".$row['nombres']."</td>
			<td class='$style' align='center'>".$row['cuenta']."</td>
			<td class='$style' align='center'>".number_format($row['monto'],2)."</td>
		  </tr>";	
		  if($style=="dr"){
			$style="sr";
		  }else{
			$style="dr";
		  }		
		}				
		echo $ClsGeneradorHtml->Pagina_Fin_Body();
		echo $ClsGeneradorHtml->Pagina_Fin_Html();

	}
	function cambiaf_a_normal($fecha){
		if(empty($fecha)){
			return $lafecha;
		}
		ereg( "([0-9]{2,4})-([0-9]{1,2})-([0-9]{1,2})", $fecha, $mifecha);
		$lafecha=$mifecha[3]."/".$mifecha[2]."/".$mifecha[1];
		return $lafecha;
	}	
	
}
?>
